Public Attributes | List of all members
_qspi_handle Struct Reference
Peripheral Driver » HAL Driver » QSPI » Structures » QSPI handle

QSPI handle Structure definition. More...

`#include <gr55xx_hal_qspi.h>`

Collaboration diagram for _qspi_handle:
[legend]

## Public Attributes
ssi_regs_t * | p_instance
| QSPI registers base address More...
qspi_init_t | init
| QSPI communication parameters More...
uint8_t * | p_tx_buffer
| Pointer to QSPI Tx transfer Buffer. More...
__IO uint32_t | tx_xfer_size
| QSPI Tx Transfer size More...
__IO uint32_t | tx_xfer_count
| QSPI Tx Transfer Counter More...
uint8_t * | p_rx_buffer
| Pointer to QSPI Rx transfer Buffer. More...
__IO uint32_t | rx_xfer_size
| QSPI Rx Transfer size More...
__IO uint32_t | rx_xfer_count
| QSPI Rx Transfer Counter More...
void(* | write_fifo )(struct _qspi_handle *p_qspi)
| Pointer to QSPI Tx transfer FIFO write function. More...
void(* | read_fifo )(struct _qspi_handle *p_qspi)
| Pointer to QSPI Rx transfer FIFO read function More...
dma_handle_t * | p_dma
| QSPI Rx/Tx DMA Handle parameters More...
__IO hal_lock_t | lock
| Locking object More...
__IO hal_qspi_state_t | state
| QSPI communication state More...
__IO uint32_t | error_code
| QSPI Error code More...
uint32_t | timeout
| Timeout for the QSPI memory access. More...
uint32_t | retention [9]
| DMA important register information. More...

## Detailed Description

QSPI handle Structure definition.

Definition at line 122 of file gr55xx_hal_qspi.h.

## Member Data Documentation

## ◆ error_code

__IO uint32_t _qspi_handle::error_code

QSPI Error code

Definition at line 150 of file gr55xx_hal_qspi.h.

## ◆ init

qspi_init_t _qspi_handle::init

QSPI communication parameters

Definition at line 126 of file gr55xx_hal_qspi.h.

## ◆ lock

__IO hal_lock_t _qspi_handle::lock

Locking object

Definition at line 146 of file gr55xx_hal_qspi.h.

## ◆ p_dma

dma_handle_t* _qspi_handle::p_dma

QSPI Rx/Tx DMA Handle parameters

Definition at line 144 of file gr55xx_hal_qspi.h.

## ◆ p_instance

ssi_regs_t* _qspi_handle::p_instance

QSPI registers base address

Definition at line 124 of file gr55xx_hal_qspi.h.

## ◆ p_rx_buffer

uint8_t* _qspi_handle::p_rx_buffer

Pointer to QSPI Rx transfer Buffer.

Definition at line 134 of file gr55xx_hal_qspi.h.

## ◆ p_tx_buffer

uint8_t* _qspi_handle::p_tx_buffer

Pointer to QSPI Tx transfer Buffer.

Definition at line 128 of file gr55xx_hal_qspi.h.

## ◆ read_fifo

void(* _qspi_handle::read_fifo) (struct _qspi_handle *p_qspi)

Pointer to QSPI Rx transfer FIFO read function

Definition at line 142 of file gr55xx_hal_qspi.h.

## ◆ retention

uint32_t _qspi_handle::retention[9]

DMA important register information.

Definition at line 154 of file gr55xx_hal_qspi.h.

## ◆ rx_xfer_count

__IO uint32_t _qspi_handle::rx_xfer_count

QSPI Rx Transfer Counter

Definition at line 138 of file gr55xx_hal_qspi.h.

## ◆ rx_xfer_size

__IO uint32_t _qspi_handle::rx_xfer_size

QSPI Rx Transfer size

Definition at line 136 of file gr55xx_hal_qspi.h.

## ◆ state

__IO hal_qspi_state_t _qspi_handle::state

QSPI communication state

Definition at line 148 of file gr55xx_hal_qspi.h.

## ◆ timeout

uint32_t _qspi_handle::timeout

Timeout for the QSPI memory access.

Definition at line 152 of file gr55xx_hal_qspi.h.

## ◆ tx_xfer_count

__IO uint32_t _qspi_handle::tx_xfer_count

QSPI Tx Transfer Counter

Definition at line 132 of file gr55xx_hal_qspi.h.

## ◆ tx_xfer_size

__IO uint32_t _qspi_handle::tx_xfer_size

QSPI Tx Transfer size

Definition at line 130 of file gr55xx_hal_qspi.h.

## ◆ write_fifo

void(* _qspi_handle::write_fifo) (struct _qspi_handle *p_qspi)

Pointer to QSPI Tx transfer FIFO write function.

Definition at line 140 of file gr55xx_hal_qspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_qspi.h